=== debian/changelog ===
0ad (0.27.0-1~oibaf~ntrisquel2) ecne-backports; urgency=medium

  * Backported to get latest version into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 16 May 2025 04:22:23 +0000

0ad (0.27.0-1~oibaf~n) noble; urgency=medium

  * No-change backport to noble.

 -- Fabio Pedretti <fmrummey@gmail.com>  Sun, 02 Feb 2025 09:44:27 +0100
