## 0ad 0.27.0-1~oibaf~n+11.0trisquel2

=== debian/changelog ===
0ad (0.27.0-1~oibaf~n+11.0trisquel2) aramo-backports; urgency=medium

  * Backported to get latest version into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 24 Feb 2025 21:58:23 +0000
