=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  libsdl2-dev (>= 2.0.5),
  libsodium-dev (>= 1.0.14),
  libvorbis-dev,
- libwxgtk3.2-dev,
+ libwxgtk3.0-gtk3-dev,
  libxcursor-dev,
  libxml2-dev,
  llvm,
